#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <stdint.h>

int ftp_quit(){
    printf("QUIT\r\n");
    return 0;
}

int ftp_open(){
    printf("USER anonymous\r\n");
    printf("PASS\r\n");
    return 0;
}

int ftp_cd(){
    printf("CWD\r\n");
    return 0;
}

void ftp_passive(){
    printf("EPSV\r\n"); // enter passive mode
}

int ftp_list(){
    ftp_passive();
    printf("LIST\r\n"); // list directory
    return 0;
}

int ftp_pwd(){
    printf("PWD\r\n"); // get current directory
    return 0;
}

int ftp_get(){
    printf("RETR\r\n"); // get file
    return 0;
}
int ftp_put(){
    printf("STOR\r\n"); // put file
    return 0;
}

int main(){

    uint16_t port;
    char hostname[512];
    int scanf_rval = 0;

    printf("Zadej hostname: ");
    scanf_rval = scanf("%s", hostname);
    printf("Zadej port: ");
    scanf_rval = scanf("%hu", &port);
    scanf_rval = scanf_rval; // due strict compiler code check
                             // ignore the scanf retvals

    int running = 1;
    while (running){

        printf("cliftp >>> ");

        char c = 0;
        do {
            c = getchar();
        } while (c == '\n' || c == '\r');

        switch (c){
            case 'o': ftp_open(hostname, port); break;
            case 'l': ftp_list(); break;
            case 'c': ftp_cd(); break;
            case 'w': ftp_pwd(); break;
            case 'p': ftp_put(); break;
            case 'g': ftp_get(); break;
            case 'q':
            case -1: ftp_quit(); running = 0; break;
        }
    }

    return 0;
}
